package com.ruoyi.system.domain.lawcase;

import java.io.Serializable;

public class CaseLawEnforcement implements Serializable {
    /**
     * 案件受理ID
     *
     * @mbg.generated
     */
    private String id;

    /**
     * 涉及权利事项
     *
     * @mbg.generated
     */
    private String sjqlss;

    /**
     * 案件编码
     *
     * @mbg.generated
     */
    private String ajbm;

    /**
     * 案件来源类型
     *
     * @mbg.generated
     */
    private String ajlyLx;

    /**
     * 案件来源名称
     *
     * @mbg.generated
     */
    private String ajlyMc;

    /**
     * 案件来源地址
     *
     * @mbg.generated
     */
    private String ajlyDz;

    /**
     * 案件来源电话
     *
     * @mbg.generated
     */
    private String ajlyTel;

    /**
     * 受案时间
     *
     * @mbg.generated
     */
    private String sasj;

    /**
     * 案发时间
     *
     * @mbg.generated
     */
    private String afsj;

    /**
     * 案发地点
     *
     * @mbg.generated
     */
    private String afdd;

    /**
     * 当事人法人名称
     *
     * @mbg.generated
     */
    private String dsrFrMc;

    /**
     * 当事人法人姓名
     *
     * @mbg.generated
     */
    private String dsrFrXm;

    /**
     * 当事人法人职务
     *
     * @mbg.generated
     */
    private String dsrFrZw;

    /**
     * 当事人法人地址
     *
     * @mbg.generated
     */
    private String dsrFrDz;

    /**
     * 当事人法人联系电话
     *
     * @mbg.generated
     */
    private String dsrFrTel;

    /**
     * 当事人公民姓名
     *
     * @mbg.generated
     */
    private String dsrGmXm;

    /**
     * 当事人公民性别
     *
     * @mbg.generated
     */
    private String dsrGmXb;

    /**
     * 当事人公民年龄
     *
     * @mbg.generated
     */
    private String dsrGmNl;

    /**
     * 当事人公民身份证号码
     *
     * @mbg.generated
     */
    private String dsrGmSfz;

    /**
     * 当事人公民住址
     *
     * @mbg.generated
     */
    private String dsrGmDz;

    /**
     * 当事人公民联系电话
     *
     * @mbg.generated
     */
    private String dsrGmTel;

    /**
     * 受案记录当事人签名
     *
     * @mbg.generated
     */
    private String sajlqm;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private String createTime;

    /**
     * 创建人
     *
     * @mbg.generated
     */
    private String createBy;

    /**
     * 案由
     *
     * @mbg.generated
     */
    private String ylzd1;

    /**
     * 公民OR法人
     *
     * @mbg.generated
     */
    private String ylzd2;

    /**
     * 签名时间
     *
     * @mbg.generated
     */
    private String ylzd3;

    /**
     * 企业信用编码
     *
     * @mbg.generated
     */
    private String ylzd4;

    /**
     * 标题
     *
     * @mbg.generated
     */
    private String ylzd5;

    /**
     * 归档状态
     *
     * @mbg.generated
     */
    private String state7;

    /**
     * 创建人姓名
     *
     * @mbg.generated
     */
    private String creatorName;

    /**
     * 案件分类
     *
     * @mbg.generated
     */
    private String ajfl;

    /**
     * 案件影响
     *
     * @mbg.generated
     */
    private String ajyx;

    /**
     * 是否为重大行政案件
     *
     * @mbg.generated
     */
    private String isZdaj;

    /**
     * 处理结果
     *
     * @mbg.generated
     */
    private String ylzd25;

    /**
     * 执行情况
     *
     * @mbg.generated
     */
    private String executeCondition;

    /**
     * 复议诉讼情况
     *
     * @mbg.generated
     */
    private String reconsideration;

    /**
     * 案情摘要
     *
     * @mbg.generated
     */
    private String brief;

    /**
     * 受案记录
     *
     * @mbg.generated
     */
    private String sajl;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSjqlss() {
        return sjqlss;
    }

    public void setSjqlss(String sjqlss) {
        this.sjqlss = sjqlss;
    }

    public String getAjbm() {
        return ajbm;
    }

    public void setAjbm(String ajbm) {
        this.ajbm = ajbm;
    }

    public String getAjlyLx() {
        return ajlyLx;
    }

    public void setAjlyLx(String ajlyLx) {
        this.ajlyLx = ajlyLx;
    }

    public String getAjlyMc() {
        return ajlyMc;
    }

    public void setAjlyMc(String ajlyMc) {
        this.ajlyMc = ajlyMc;
    }

    public String getAjlyDz() {
        return ajlyDz;
    }

    public void setAjlyDz(String ajlyDz) {
        this.ajlyDz = ajlyDz;
    }

    public String getAjlyTel() {
        return ajlyTel;
    }

    public void setAjlyTel(String ajlyTel) {
        this.ajlyTel = ajlyTel;
    }

    public String getSasj() {
        return sasj;
    }

    public void setSasj(String sasj) {
        this.sasj = sasj;
    }

    public String getAfsj() {
        return afsj;
    }

    public void setAfsj(String afsj) {
        this.afsj = afsj;
    }

    public String getAfdd() {
        return afdd;
    }

    public void setAfdd(String afdd) {
        this.afdd = afdd;
    }

    public String getDsrFrMc() {
        return dsrFrMc;
    }

    public void setDsrFrMc(String dsrFrMc) {
        this.dsrFrMc = dsrFrMc;
    }

    public String getDsrFrXm() {
        return dsrFrXm;
    }

    public void setDsrFrXm(String dsrFrXm) {
        this.dsrFrXm = dsrFrXm;
    }

    public String getDsrFrZw() {
        return dsrFrZw;
    }

    public void setDsrFrZw(String dsrFrZw) {
        this.dsrFrZw = dsrFrZw;
    }

    public String getDsrFrDz() {
        return dsrFrDz;
    }

    public void setDsrFrDz(String dsrFrDz) {
        this.dsrFrDz = dsrFrDz;
    }

    public String getDsrFrTel() {
        return dsrFrTel;
    }

    public void setDsrFrTel(String dsrFrTel) {
        this.dsrFrTel = dsrFrTel;
    }

    public String getDsrGmXm() {
        return dsrGmXm;
    }

    public void setDsrGmXm(String dsrGmXm) {
        this.dsrGmXm = dsrGmXm;
    }

    public String getDsrGmXb() {
        return dsrGmXb;
    }

    public void setDsrGmXb(String dsrGmXb) {
        this.dsrGmXb = dsrGmXb;
    }

    public String getDsrGmNl() {
        return dsrGmNl;
    }

    public void setDsrGmNl(String dsrGmNl) {
        this.dsrGmNl = dsrGmNl;
    }

    public String getDsrGmSfz() {
        return dsrGmSfz;
    }

    public void setDsrGmSfz(String dsrGmSfz) {
        this.dsrGmSfz = dsrGmSfz;
    }

    public String getDsrGmDz() {
        return dsrGmDz;
    }

    public void setDsrGmDz(String dsrGmDz) {
        this.dsrGmDz = dsrGmDz;
    }

    public String getDsrGmTel() {
        return dsrGmTel;
    }

    public void setDsrGmTel(String dsrGmTel) {
        this.dsrGmTel = dsrGmTel;
    }

    public String getSajlqm() {
        return sajlqm;
    }

    public void setSajlqm(String sajlqm) {
        this.sajlqm = sajlqm;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getYlzd1() {
        return ylzd1;
    }

    public void setYlzd1(String ylzd1) {
        this.ylzd1 = ylzd1;
    }

    public String getYlzd2() {
        return ylzd2;
    }

    public void setYlzd2(String ylzd2) {
        this.ylzd2 = ylzd2;
    }

    public String getYlzd3() {
        return ylzd3;
    }

    public void setYlzd3(String ylzd3) {
        this.ylzd3 = ylzd3;
    }

    public String getYlzd4() {
        return ylzd4;
    }

    public void setYlzd4(String ylzd4) {
        this.ylzd4 = ylzd4;
    }

    public String getYlzd5() {
        return ylzd5;
    }

    public void setYlzd5(String ylzd5) {
        this.ylzd5 = ylzd5;
    }

    public String getState7() {
        return state7;
    }

    public void setState7(String state7) {
        this.state7 = state7;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getAjfl() {
        return ajfl;
    }

    public void setAjfl(String ajfl) {
        this.ajfl = ajfl;
    }

    public String getAjyx() {
        return ajyx;
    }

    public void setAjyx(String ajyx) {
        this.ajyx = ajyx;
    }

    public String getIsZdaj() {
        return isZdaj;
    }

    public void setIsZdaj(String isZdaj) {
        this.isZdaj = isZdaj;
    }

    public String getYlzd25() {
        return ylzd25;
    }

    public void setYlzd25(String ylzd25) {
        this.ylzd25 = ylzd25;
    }

    public String getExecuteCondition() {
        return executeCondition;
    }

    public void setExecuteCondition(String executeCondition) {
        this.executeCondition = executeCondition;
    }

    public String getReconsideration() {
        return reconsideration;
    }

    public void setReconsideration(String reconsideration) {
        this.reconsideration = reconsideration;
    }

    public String getBrief() {
        return brief;
    }

    public void setBrief(String brief) {
        this.brief = brief;
    }

    public String getSajl() {
        return sajl;
    }

    public void setSajl(String sajl) {
        this.sajl = sajl;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", sjqlss=").append(sjqlss);
        sb.append(", ajbm=").append(ajbm);
        sb.append(", ajlyLx=").append(ajlyLx);
        sb.append(", ajlyMc=").append(ajlyMc);
        sb.append(", ajlyDz=").append(ajlyDz);
        sb.append(", ajlyTel=").append(ajlyTel);
        sb.append(", sasj=").append(sasj);
        sb.append(", afsj=").append(afsj);
        sb.append(", afdd=").append(afdd);
        sb.append(", dsrFrMc=").append(dsrFrMc);
        sb.append(", dsrFrXm=").append(dsrFrXm);
        sb.append(", dsrFrZw=").append(dsrFrZw);
        sb.append(", dsrFrDz=").append(dsrFrDz);
        sb.append(", dsrFrTel=").append(dsrFrTel);
        sb.append(", dsrGmXm=").append(dsrGmXm);
        sb.append(", dsrGmXb=").append(dsrGmXb);
        sb.append(", dsrGmNl=").append(dsrGmNl);
        sb.append(", dsrGmSfz=").append(dsrGmSfz);
        sb.append(", dsrGmDz=").append(dsrGmDz);
        sb.append(", dsrGmTel=").append(dsrGmTel);
        sb.append(", sajlqm=").append(sajlqm);
        sb.append(", createTime=").append(createTime);
        sb.append(", createBy=").append(createBy);
        sb.append(", ylzd1=").append(ylzd1);
        sb.append(", ylzd2=").append(ylzd2);
        sb.append(", ylzd3=").append(ylzd3);
        sb.append(", ylzd4=").append(ylzd4);
        sb.append(", ylzd5=").append(ylzd5);
        sb.append(", state7=").append(state7);
        sb.append(", creatorName=").append(creatorName);
        sb.append(", ajfl=").append(ajfl);
        sb.append(", ajyx=").append(ajyx);
        sb.append(", isZdaj=").append(isZdaj);
        sb.append(", ylzd25=").append(ylzd25);
        sb.append(", executeCondition=").append(executeCondition);
        sb.append(", reconsideration=").append(reconsideration);
        sb.append(", brief=").append(brief);
        sb.append(", sajl=").append(sajl);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CaseLawEnforcement other = (CaseLawEnforcement) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getSjqlss() == null ? other.getSjqlss() == null : this.getSjqlss().equals(other.getSjqlss()))
            && (this.getAjbm() == null ? other.getAjbm() == null : this.getAjbm().equals(other.getAjbm()))
            && (this.getAjlyLx() == null ? other.getAjlyLx() == null : this.getAjlyLx().equals(other.getAjlyLx()))
            && (this.getAjlyMc() == null ? other.getAjlyMc() == null : this.getAjlyMc().equals(other.getAjlyMc()))
            && (this.getAjlyDz() == null ? other.getAjlyDz() == null : this.getAjlyDz().equals(other.getAjlyDz()))
            && (this.getAjlyTel() == null ? other.getAjlyTel() == null : this.getAjlyTel().equals(other.getAjlyTel()))
            && (this.getSasj() == null ? other.getSasj() == null : this.getSasj().equals(other.getSasj()))
            && (this.getAfsj() == null ? other.getAfsj() == null : this.getAfsj().equals(other.getAfsj()))
            && (this.getAfdd() == null ? other.getAfdd() == null : this.getAfdd().equals(other.getAfdd()))
            && (this.getDsrFrMc() == null ? other.getDsrFrMc() == null : this.getDsrFrMc().equals(other.getDsrFrMc()))
            && (this.getDsrFrXm() == null ? other.getDsrFrXm() == null : this.getDsrFrXm().equals(other.getDsrFrXm()))
            && (this.getDsrFrZw() == null ? other.getDsrFrZw() == null : this.getDsrFrZw().equals(other.getDsrFrZw()))
            && (this.getDsrFrDz() == null ? other.getDsrFrDz() == null : this.getDsrFrDz().equals(other.getDsrFrDz()))
            && (this.getDsrFrTel() == null ? other.getDsrFrTel() == null : this.getDsrFrTel().equals(other.getDsrFrTel()))
            && (this.getDsrGmXm() == null ? other.getDsrGmXm() == null : this.getDsrGmXm().equals(other.getDsrGmXm()))
            && (this.getDsrGmXb() == null ? other.getDsrGmXb() == null : this.getDsrGmXb().equals(other.getDsrGmXb()))
            && (this.getDsrGmNl() == null ? other.getDsrGmNl() == null : this.getDsrGmNl().equals(other.getDsrGmNl()))
            && (this.getDsrGmSfz() == null ? other.getDsrGmSfz() == null : this.getDsrGmSfz().equals(other.getDsrGmSfz()))
            && (this.getDsrGmDz() == null ? other.getDsrGmDz() == null : this.getDsrGmDz().equals(other.getDsrGmDz()))
            && (this.getDsrGmTel() == null ? other.getDsrGmTel() == null : this.getDsrGmTel().equals(other.getDsrGmTel()))
            && (this.getSajlqm() == null ? other.getSajlqm() == null : this.getSajlqm().equals(other.getSajlqm()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getYlzd1() == null ? other.getYlzd1() == null : this.getYlzd1().equals(other.getYlzd1()))
            && (this.getYlzd2() == null ? other.getYlzd2() == null : this.getYlzd2().equals(other.getYlzd2()))
            && (this.getYlzd3() == null ? other.getYlzd3() == null : this.getYlzd3().equals(other.getYlzd3()))
            && (this.getYlzd4() == null ? other.getYlzd4() == null : this.getYlzd4().equals(other.getYlzd4()))
            && (this.getYlzd5() == null ? other.getYlzd5() == null : this.getYlzd5().equals(other.getYlzd5()))
            && (this.getState7() == null ? other.getState7() == null : this.getState7().equals(other.getState7()))
            && (this.getCreatorName() == null ? other.getCreatorName() == null : this.getCreatorName().equals(other.getCreatorName()))
            && (this.getAjfl() == null ? other.getAjfl() == null : this.getAjfl().equals(other.getAjfl()))
            && (this.getAjyx() == null ? other.getAjyx() == null : this.getAjyx().equals(other.getAjyx()))
            && (this.getIsZdaj() == null ? other.getIsZdaj() == null : this.getIsZdaj().equals(other.getIsZdaj()))
            && (this.getYlzd25() == null ? other.getYlzd25() == null : this.getYlzd25().equals(other.getYlzd25()))
            && (this.getExecuteCondition() == null ? other.getExecuteCondition() == null : this.getExecuteCondition().equals(other.getExecuteCondition()))
            && (this.getReconsideration() == null ? other.getReconsideration() == null : this.getReconsideration().equals(other.getReconsideration()))
            && (this.getBrief() == null ? other.getBrief() == null : this.getBrief().equals(other.getBrief()))
            && (this.getSajl() == null ? other.getSajl() == null : this.getSajl().equals(other.getSajl()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getSjqlss() == null) ? 0 : getSjqlss().hashCode());
        result = prime * result + ((getAjbm() == null) ? 0 : getAjbm().hashCode());
        result = prime * result + ((getAjlyLx() == null) ? 0 : getAjlyLx().hashCode());
        result = prime * result + ((getAjlyMc() == null) ? 0 : getAjlyMc().hashCode());
        result = prime * result + ((getAjlyDz() == null) ? 0 : getAjlyDz().hashCode());
        result = prime * result + ((getAjlyTel() == null) ? 0 : getAjlyTel().hashCode());
        result = prime * result + ((getSasj() == null) ? 0 : getSasj().hashCode());
        result = prime * result + ((getAfsj() == null) ? 0 : getAfsj().hashCode());
        result = prime * result + ((getAfdd() == null) ? 0 : getAfdd().hashCode());
        result = prime * result + ((getDsrFrMc() == null) ? 0 : getDsrFrMc().hashCode());
        result = prime * result + ((getDsrFrXm() == null) ? 0 : getDsrFrXm().hashCode());
        result = prime * result + ((getDsrFrZw() == null) ? 0 : getDsrFrZw().hashCode());
        result = prime * result + ((getDsrFrDz() == null) ? 0 : getDsrFrDz().hashCode());
        result = prime * result + ((getDsrFrTel() == null) ? 0 : getDsrFrTel().hashCode());
        result = prime * result + ((getDsrGmXm() == null) ? 0 : getDsrGmXm().hashCode());
        result = prime * result + ((getDsrGmXb() == null) ? 0 : getDsrGmXb().hashCode());
        result = prime * result + ((getDsrGmNl() == null) ? 0 : getDsrGmNl().hashCode());
        result = prime * result + ((getDsrGmSfz() == null) ? 0 : getDsrGmSfz().hashCode());
        result = prime * result + ((getDsrGmDz() == null) ? 0 : getDsrGmDz().hashCode());
        result = prime * result + ((getDsrGmTel() == null) ? 0 : getDsrGmTel().hashCode());
        result = prime * result + ((getSajlqm() == null) ? 0 : getSajlqm().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getYlzd1() == null) ? 0 : getYlzd1().hashCode());
        result = prime * result + ((getYlzd2() == null) ? 0 : getYlzd2().hashCode());
        result = prime * result + ((getYlzd3() == null) ? 0 : getYlzd3().hashCode());
        result = prime * result + ((getYlzd4() == null) ? 0 : getYlzd4().hashCode());
        result = prime * result + ((getYlzd5() == null) ? 0 : getYlzd5().hashCode());
        result = prime * result + ((getState7() == null) ? 0 : getState7().hashCode());
        result = prime * result + ((getCreatorName() == null) ? 0 : getCreatorName().hashCode());
        result = prime * result + ((getAjfl() == null) ? 0 : getAjfl().hashCode());
        result = prime * result + ((getAjyx() == null) ? 0 : getAjyx().hashCode());
        result = prime * result + ((getIsZdaj() == null) ? 0 : getIsZdaj().hashCode());
        result = prime * result + ((getYlzd25() == null) ? 0 : getYlzd25().hashCode());
        result = prime * result + ((getExecuteCondition() == null) ? 0 : getExecuteCondition().hashCode());
        result = prime * result + ((getReconsideration() == null) ? 0 : getReconsideration().hashCode());
        result = prime * result + ((getBrief() == null) ? 0 : getBrief().hashCode());
        result = prime * result + ((getSajl() == null) ? 0 : getSajl().hashCode());
        return result;
    }
}